<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="36" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.278s" wall="0.278" cpu="0.438984" calls="1"/>
  </summary>
  <header id="">
    <environment started="2021-Jul-14 12:04:06" host="Fabians-Flunder.fritz.box"/>
    <progOpts problem="material_filter" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Regularization/material_filter/material_filter.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="21.03" name="Frohes Fensterln" build="Release" git_commit="175dfff74cdbfb529134a14dc48f934045d331d2" git_branch="material_filter" exe="cfs_master_rel"/>
      <openmp CFS_NUM_THREADS="2" MKL_NUM_THREADS="2" OMP_NUM_THREADS="2"/>
    </progOpts>
    <domain nx="12" ny="12" nz="1">
      <grids>
        <timer wall-clock="0.014s" wall="0.014" cpu="0.015604" calls="1"/>
        <grid gridId="default" dimensions="2" elements="144" nodes="169"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="169" elems="144" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="13"/>
        <nodes name="north" count="13"/>
        <nodes name="west" count="13"/>
        <nodes name="east" count="13"/>
        <nodes name="south_west" count="1" coord="(0,0)"/>
        <nodes name="south_east" count="1" coord="(1,0)"/>
        <nodes name="north_west" count="1" coord="(0,1)"/>
        <nodes name="north_east" count="1" coord="(1,1)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="12" ny="12" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.029s" wall="0.029" cpu="0.067508" calls="75"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.026s" wall="0.026" cpu="0.051687" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="south_east" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="312" totalNumFreeEqns="312" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="312" lastFreeEqn="312" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="312" lastFreeIndex="312"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0s" wall="0" cpu="0.008438" calls="15"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0s" wall="0" cpu="0.00224" calls="15"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="3.5e-05" calls="15"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.003s" wall="0.003" cpu="0.00722" calls="1" sub="true"/>
      </graph_setup>
      <reorder_Metis>
        <timer wall-clock="0s" wall="0" cpu="0.000553" calls="1" sub="true"/>
      </reorder_Metis>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0s" wall="0" cpu="0.014312" calls="30"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Regularization/material_filter/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="plain_volume" linear="no" access="plain" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0s" wall="0" cpu="0.000718" calls="2"/>
        </setup_design>
        <filters use_mat_filt="no">
          <filter type="maxEdge" value="1.9" contribution="linear" design="density" elems="144" avg_radius="0.15833" avg_neighbors="7.0278">
            <material scaling="1" offset="8e-10">
              <filter type="hashin_shtrikman"/>
              <scale type="expression" beta="-1" param="0.8" func="1-p*(1-rho)   " deriv="p   "/>
              <phase type="identity"/>
            </material>
          </filter>
          <timer wall-clock="0s" wall="0" cpu="0.000827" calls="1"/>
        </filters>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables opt_vars="144" field_elems="144" field_fe_elemes="144">
          <design type="density" upperBound="1" lowerBound="1e-09" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="144" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <optimalityCondition/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <optimalityCondition>
          <timer wall-clock="0s" wall="0" cpu="0.09488" calls="237"/>
        </optimalityCondition>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000119" calls="15"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0.011s" wall="0.011" cpu="0.039796" calls="221"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="0.002863" calls="15"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.000108" calls="15"/>
      </eval_grad_constraints>
      <break converged="no">
        <reason msg="Maximum iterations exceeded"/>
      </break>
    </summary>
    <process>
      <iteration number="0" duration="0.144" compliance="56.5305328431383" plain_volume="0.499999999999999" lambda="0" lambda_iters="0" lower="0" upper="0"/>
      <iteration number="1" duration="0.011" compliance="39.4707142251737" plain_volume="0.50000010274094" lambda="119.61" lambda_iters="25" lower="119.61" upper="119.61"/>
      <iteration number="2" duration="0.009" compliance="29.3600320649316" plain_volume="0.499999124401131" lambda="106.54" lambda_iters="17" lower="106.54" upper="106.54"/>
      <iteration number="3" duration="0.008" compliance="24.0161269794984" plain_volume="0.500000166189303" lambda="93.037" lambda_iters="16" lower="93.037" upper="93.039"/>
      <iteration number="4" duration="0.009" compliance="21.5787298484613" plain_volume="0.499999883185227" lambda="76.029" lambda_iters="17" lower="76.028" upper="76.029"/>
      <iteration number="5" duration="0.009" compliance="20.4187432209409" plain_volume="0.499999768345677" lambda="57.176" lambda_iters="16" lower="57.174" upper="57.176"/>
      <iteration number="6" duration="0.009" compliance="19.8632180980927" plain_volume="0.499999234460699" lambda="50.207" lambda_iters="13" lower="50.196" upper="50.207"/>
      <iteration number="7" duration="0.009" compliance="19.5762874965949" plain_volume="0.500000256171735" lambda="48.279" lambda_iters="13" lower="48.279" upper="48.288"/>
      <iteration number="8" duration="0.009" compliance="19.4065926439905" plain_volume="0.500000213419329" lambda="47.86" lambda_iters="15" lower="47.86" upper="47.862"/>
      <iteration number="9" duration="0.011" compliance="19.2721820694816" plain_volume="0.500000563444729" lambda="48.198" lambda_iters="15" lower="48.198" upper="48.2"/>
      <iteration number="10" duration="0.009" compliance="19.1978916277041" plain_volume="0.500000628308119" lambda="47.449" lambda_iters="15" lower="47.449" upper="47.451"/>
      <iteration number="11" duration="0.009" compliance="19.1398124963256" plain_volume="0.499999538135077" lambda="47.684" lambda_iters="15" lower="47.682" upper="47.684"/>
      <iteration number="12" duration="0.009" compliance="19.0806255449402" plain_volume="0.500000648944638" lambda="48.449" lambda_iters="15" lower="48.449" upper="48.451"/>
      <iteration number="13" duration="0.01" compliance="19.0164726555497" plain_volume="0.499999528366888" lambda="49.068" lambda_iters="14" lower="49.064" upper="49.068"/>
      <iteration number="14" duration="0.009" compliance="18.9430893957191" plain_volume="0.499999729664998" lambda="49.622" lambda_iters="15" lower="49.619" upper="49.622"/>
    </process>
  </optimization>
</cfsInfo>